{
  nodeFlake,
  pkgs,
  lib,
  ...
}: let
  pkgsUnstable = import nodeFlake.inputs.nixpkgs-unstable {inherit (pkgs) system config;};
in {
  nix.daemonCPUSchedPolicy = "idle";
  nix.daemonIOSchedClass = "idle";
  nix.settings.max-jobs = lib.mkDefault "auto";
  nix.settings.cores = lib.mkDefault 0;
  nix.settings.sandbox = true;
  nix.nixPath = [
    "nixpkgs=${pkgs.path}"
  ];

  nix.settings.experimental-features = [
    "nix-command"
    "flakes"
    "ca-derivations"
  ];

  nix.settings.system-features = [
    "recursive-nix"
    "big-parallel"
    "kvm"
    "nixos-test"
  ];

  # nix.registry.nixpkgs.flake = nodeFlake.inputs.nixpkgs;
  nix.registry.nixpkgs.to = {
    type = "path";
    path = nodeFlake.inputs.nixpkgs.outPath;
    narHash = nodeFlake.inputs.nixpkgs.narHash;
  };

  nix.package = pkgsUnstable.nixVersions.latest;
}
